/*
 * File: PythagoreanTriples.js
 * ---------------------------
 * This program lists all of the Pythagorean triples for a < b <= MAX
 * such that a^2 + b^2 = c^2 for integers a, b, and c.
 */

"use strict";

/* Constants */
const MAX = 25;

/* Main program */
function PythagoreanTriples() {
	for (let a = 1; a < MAX; a++) {
 		for (let b = a + 1; b <= MAX; b++) {
 			let sum = a * a + b * b;
 			let c = Math.round(Math.sqrt(sum));
 			if (c * c === sum) {
 				console.log(a + ", " + b + ", " + c);
 			}
 		}
	}
}
